Name: findutils
Version: 4.6.0
Release: 0
License: GPLv3
Summary: GNU find and xargs
Url: https://www.gnu.org/software/findutils/

BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: readline-devel

Source0: https://ftp.gnu.org/pub/gnu/findutils/findutils-%{version}.tar.gz


%description
The GNU Find Utilities are the basic directory searching utilities of the GNU operating system. These programs are typically used in conjunction with other programs to provide modular and powerful directory search and file locating capabilities to other commands.

The tools supplied with this package are:

    find - search for files in a directory hierarchy
    locate - list files in databases that match a pattern
    updatedb - update a file name database
    xargs - build and execute command lines from standard input 

%prep
%setup -q

%build

# autoreconf -fi

%configure \
  CPPFLAGS="-I%{_includedir} -I%{_includedir}/ncurses" \
  LIBS='-lpthread' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --enable-threads=posix \
  --enable-shared \
  --disable-static \
  --disable-nls \
  --disable-rpath \
  # end

%make_build


%install

%make_install

rm %{buildroot}/%{_libdir}/*.la || :
rm %{buildroot}/%{_libdir}/charset.alias

%files
%defattr(-, qsys, *none)

%{_bindir}/find
%{_bindir}/locate
%{_bindir}/updatedb
%{_bindir}/xargs

%{_libexecdir}/bigram
%{_libexecdir}/code
%{_libexecdir}/frcode

%{_infodir}/find-maint.info
%{_infodir}/find.info
%{_infodir}/find.info-1
%{_infodir}/find.info-2

%{_mandir}/man1/find.1
%{_mandir}/man1/locate.1
%{_mandir}/man1/updatedb.1
%{_mandir}/man1/xargs.1
%{_mandir}/man5/locatedb.5

%changelog
 
